# Set up on deb based distros, likely need to change package for other distro package managers
sudo apt install flatpak flatpak-builder libjson-maybexs-perl libmetacpan-client-perl libcapture-tiny-perl libextutils-makemaker-cpanfile-perl cpanminus

# Make sure flatpak is installed and install the SDK
flatpak remote-add --user --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpak install --user org.freedesktop.Sdk/x86_64/23.08

# Get the flatpak-builder-tools cpan helper script
wget -N https://github.com/flatpak/flatpak-builder-tools/raw/master/cpan/flatpak-cpan-generator.pl
chmod +x flatpak-cpan-generator.pl

# dir to store the flatpak output.
mkdir -p chordpro

./flatpak-cpan-generator.pl chordpro@6.050 -o chordpro-sources.json

flatpak-builder --force-clean chordpro org.chordpro.chordpro.yml

# Manual testing...
# flatpak-builder --install --user --force-clean chordpro org.chordpro.chordpro.yml
# flatpak run org.chordpro.chordpro --version
# flatpak uninstall -y --user org.chordpro.chordpro